%define name perl-Lingua-Ispell
%define realname Lingua-Ispell
%define version 0.07
%define release %mkrel 11

Name:		%{name}
Summary:	Ispell inteface perl module
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/J/JD/JDPORTER/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires: perl-devel
%endif
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Interface to the Ispell spellchecker

%prep 

%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test


%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install DESTDIR=$RPM_BUILD_ROOT


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{realname}-%{version}


%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorlib}/Lingua/*
%{_mandir}/*/*

%changelog
* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-11mdk
- Fix Build

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-10mdk
- Remove -q

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.07-9mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.07-8mdk
- buildrequires

* Tue Jul 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.07-7mdk
- rebuild for new perl 

* Thu Jan 10 2002 Franois Pons <fpons@mandrakesoft.com> 0.07-6mdk
- simplified %%files and removed perllocal.pod.
- make package noarch.

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.07-5mdk
- rebuild

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 0.07-4mdk
- Allow build on non %%ix86 architectures

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.07-3mdk
- fix typo

* Fri Jul 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.07-1mdk
- first spec


